<?xml version="1.0" encoding="UTF-8"?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"><html xmlns="http://www.w3.org/1999/xhtml" lang="en"><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8"/><link rel="stylesheet" href="../jacoco-resources/report.css" type="text/css"/><link rel="shortcut icon" href="../jacoco-resources/report.gif" type="image/gif"/><title>SmsLogServiceImpl.java</title><link rel="stylesheet" href="../jacoco-resources/prettify.css" type="text/css"/><script type="text/javascript" src="../jacoco-resources/prettify.js"></script></head><body onload="window['PR_TAB_WIDTH']=4;prettyPrint()"><div class="breadcrumb" id="breadcrumb"><span class="info"><a href="../jacoco-sessions.html" class="el_session">Sessions</a></span><a href="../index.html" class="el_report">astrapay-otp</a> &gt; <a href="index.source.html" class="el_package">com.astrapay.otp.service.impl</a> &gt; <span class="el_source">SmsLogServiceImpl.java</span></div><h1>SmsLogServiceImpl.java</h1><pre class="source lang-java linenums">package com.astrapay.otp.service.impl;

import com.astrapay.otp.model.SmsLog;
import com.astrapay.otp.repository.SmsLogRepository;
import com.astrapay.otp.service.SmsLogService;

import java.text.SimpleDateFormat;
import java.util.Date;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

@Service(&quot;smsLogService&quot;)
@Transactional
<span class="fc" id="L19">public class SmsLogServiceImpl implements SmsLogService{</span>
    @Autowired
    private SmsLogRepository smsLogRepository;
    
<span class="fc" id="L23">    private final Logger log = LoggerFactory.getLogger(this.getClass());</span>
    @Override
	public void save(SmsLog smsLog) {
<span class="nc" id="L26">		smsLogRepository.save(smsLog);</span>
<span class="nc" id="L27">	}</span>
    
	@Override
	@Scheduled(cron = &quot;0 0 0 0/1 * *&quot;)
	public void schedullerDeleteUnsuccessSms() {
<span class="nc" id="L32">		  SimpleDateFormat sdf = new SimpleDateFormat(&quot;yyyy-MM-dd HH:mm:ss.SSS&quot;);</span>
<span class="nc" id="L33">	      Date now = new Date();</span>
<span class="nc" id="L34">	      String strDate = sdf.format(now);</span>
<span class="nc" id="L35">	      System.out.println(&quot;Deleting unsuccess log...:: &quot; + strDate);</span>
	      try {
<span class="nc" id="L37">	    	  Integer deleteFailOTP = smsLogRepository.deleteUnsuccessSmsOTP();</span>
<span class="nc" id="L38">	    	  log.info(&quot;Delete fail otp is success &quot;+deleteFailOTP+&quot; data&quot;);</span>
<span class="nc" id="L39">		} catch (Exception e) {</span>
<span class="nc" id="L40">			  log.error(e.getMessage());</span>
<span class="nc" id="L41">			  e.printStackTrace();</span>
<span class="nc" id="L42">		}</span>
	      
<span class="nc" id="L44">	}</span>
}
</pre><div class="footer"><span class="right">Created with <a href="http://www.jacoco.org/jacoco">JaCoCo</a> 0.8.5.201910111838</span></div></body></html>